
import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import javax.xml.namespace.QName;

import com.conygre.webservices.Book;

public class BookClient {
  public static void main(String[] args)  {
    try {
      // set a string to contain the target URL for the service
      String target = "http://localhost:8080/axis/services/bookservice";

      // create a service object
      Service service = new Service();

      // now create the call to the service object
      Call call  = (Call)service.createCall();

      // set the URL of the service for your call object
      call.setTargetEndpointAddress(new java.net.URL(target));

      // specify the method that you wish to invoke
      call.setOperationName(new QName("getBookByID"));

      // now create an array containing the parameter for the book id to look up
      Object[] paramArray = new Object[1];
      paramArray[0] = new Integer(3);

      // set up the deserializer for the returned book
      QName qn  = new QName( "bookns", "Book" );
	  call.registerTypeMapping(com.conygre.webservices.Book.class, qn,
	         new org.apache.axis.encoding.ser.BeanSerializerFactory(com.conygre.webservices.Book.class, qn),
	         new org.apache.axis.encoding.ser.BeanDeserializerFactory(com.conygre.webservices.Book.class, qn));


      Book result = (Book) call.invoke(paramArray);
      System.out.println("The returned book is called " + result.getTitle());
    }
    catch (Exception e){
      System.out.println("A problem occured with the RPC: " + e);
    }
   }

}